Subject: [bug#38670] [PATCH] Fix audio/video in icecat

From: Julien Lepiller <[email-masked]>
Date: Mon, 23 Dec 2019 00:04:23 +0100

Le 22 décembre 2019 21:33:13 GMT+01:00, Mark H Weaver <[email-masked]> a écrit :
>Hi Julien,
>
>Julien Lepiller <[email-masked]> wrote:
>> Looks very good! Can you push it, or should I do it?
>
>Would you be willing to try building IceCat with my variant of your
>patch and confirm that it works for you?  If it does, please push it.
>
>The reason I ask is because although I built it myself, I'm not sure
>that it's working for me.  It might be that the specific sites I tried
>are failing to work for other reasons, e.g. the privacy enhancements in
>IceCat's default configuration.  Or, it might be that my decision to
>keep the shared library version numbers intact somehow broke it.
>
>    Thank you!
>       Mark

Sure, I'jl do that tomorrow morning. I have ajready tried a few variants of my own patch, and it worked well both with anl without the version number. However, I'll build and check your patch before pushing.

I'm basically testing the default html5 player on an mp3 file, which didn't work before (you can see in the browser console it says mpeg is unsupported) and worked after applying the patch (and no more erron in the console).